# UriHandler QML Type

Singleton signalling for opened URIs. More...

Import Statement: | import Lomiri.Components 1.3

- List of all members, including inherited members

## Signals

- onOpened(list<string> uris)

## Detailed Description

UriHandler is a singleton handling opened URIs. The application can be signalled of opened URIs through the opened signal. The content of the "APP_ID" environment variable is used to determine the object path. If the D-Bus session bus is not connected or the "APP_ID" variable is not set or empty, the handler stays uninitialized.

Example of use:

    Connections {
        target: UriHandler
        function onOpened(uris) { print(uris) }
    }

## Signal Documentation

onOpened(list<string> uris)

The signal is triggered when URIs are opened.

Note: The corresponding handler is `onOnOpened`.